# Get current list of groups for user
oldgrouplist=`groups $USER | sed -n '{ s/.*: \(.*\)$/\1/ p }'`
# Get group of device
devgroup=`stat --printf=%G /dev/ttyS0`
# Test for device group in current group list
if ! test "${oldgrouplist#*$devgroup}" != "$oldgrouplist"
then
echo "login as superuser and then type the line below followed by CR, then type exit followed by CR to log out as superuser"
echo
echo "usermod -a -G $devgroup $USER"
echo
echo "to see the change you must then log out, restart the computer, and log back in"
else
echo "nothing to be done"
fi
